package com.buy507.mall.portal.domain;

import java.util.List;

public class ProductCategoryOptions {
	
	private Long id;
	
	private String name;
	
	private Integer level;
	
	private String icon;
	
	private Long pid;
	
	private List<ProductCategoryOptions> children;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public Long getPid() {
		return pid;
	}

	public void setPid(Long pid) {
		this.pid = pid;
	}

	public List<ProductCategoryOptions> getChildren() {
		return children;
	}

	public void setChildren(List<ProductCategoryOptions> children) {
		this.children = children;
	}
	
}
